Bug 488297 - error resolving nant dependences (F11/Alpha)
error resolving nant dependences (F11/Alpha)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 618052 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 12:25 EST by Andrew Hecox
Modified: 2010-07-26 00:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 04:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Hecox 2009-03-03 12:25:08 EST
in the latest rawhide drop, yum update (as well as upgrade) fails when resolving nant dependencies:

ahecox@t61 ~ $ sudo yum update
Loaded plugins: dellsysidplugin2, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
...
...
...
--> Running transaction check
---> Package gnome-disk-utility-libs.i586 0:0.2-1.fc11 set to be updated
---> Package kernel-debuginfo-common.i586 0:2.6.29-0.179.rc6.git5.fc11 set to be updated
---> Package libgssglue-devel.i586 0:0.1-7.fc11 set to be updated
--> Processing Dependency: mono(nunit.core) = 2.2.10.0 for package: nant
--> Processing Dependency: mono(nunit.framework) = 2.2.10.0 for package: mono-sharpcvslib
--> Processing Dependency: mono(nunit.util) = 2.2.10.0 for package: nant
---> Package nautilus-cd-burner-libs.i586 0:2.25.3-4.fc11 set to be updated
--> Processing Dependency: gtk2-devel >= 2.5.4 for package: nautilus-cd-burner-libs
--> Processing Dependency: nautilus-devel >= 2.21.5 for package: nautilus-cd-burner-libs
---> Package qemu-common.i586 0:1.0-0.4.svn6666.fc11 set to be updated
--> Running transaction check
---> Package gtk2-devel.i586 0:2.15.5-1.fc11 set to be updated
--> Processing Dependency: atk-devel >= 1.13.0-1 for package: gtk2-devel
--> Processing Dependency: cairo-devel >= 1.6.0-1 for package: gtk2-devel
--> Processing Dependency: pango-devel >= 1.20.0-1 for package: gtk2-devel
--> Processing Dependency: libXi-devel for package: gtk2-devel
--> Processing Dependency: pkgconfig(pangoft2) for package: gtk2-devel
--> Processing Dependency: pkgconfig(pango) for package: gtk2-devel
--> Processing Dependency: pkgconfig(cairo) for package: gtk2-devel
--> Processing Dependency: pkgconfig(pangocairo) for package: gtk2-devel
--> Processing Dependency: libXrandr-devel for package: gtk2-devel
--> Processing Dependency: libXinerama-devel for package: gtk2-devel
--> Processing Dependency: libpng-devel for package: gtk2-devel
--> Processing Dependency: libXcomposite-devel for package: gtk2-devel
--> Processing Dependency: libXcursor-devel for package: gtk2-devel
--> Processing Dependency: pkgconfig(atk) for package: gtk2-devel
--> Processing Dependency: mono(nunit.core) = 2.2.10.0 for package: nant
--> Processing Dependency: mono(nunit.framework) = 2.2.10.0 for package: mono-sharpcvslib
--> Processing Dependency: mono(nunit.util) = 2.2.10.0 for package: nant
---> Package nautilus-devel.i586 0:2.25.92-1.fc11 set to be updated
--> Running transaction check
---> Package atk-devel.i586 0:1.25.2-2.fc11 set to be updated
---> Package cairo-devel.i586 0:1.8.6-2.fc11 set to be updated
--> Processing Dependency: pixman-devel >= 0.12.0 for package: cairo-devel
--> Processing Dependency: pkgconfig(pixman-1) >= 0.12.0 for package: cairo-devel
---> Package libXcomposite-devel.i586 0:0.4.0-7.fc11 set to be updated
---> Package libXcursor-devel.i586 0:1.1.9-4.fc11 set to be updated
---> Package libXi-devel.i586 0:1.2.1-1.fc11 set to be updated
---> Package libXinerama-devel.i586 0:1.0.3-4.fc11 set to be updated
---> Package libXrandr-devel.i586 0:1.2.99.4-3.fc11 set to be updated
---> Package libpng-devel.i586 2:1.2.35-1.fc11 set to be updated
--> Processing Dependency: mono(nunit.core) = 2.2.10.0 for package: nant
--> Processing Dependency: mono(nunit.framework) = 2.2.10.0 for package: mono-sharpcvslib
--> Processing Dependency: mono(nunit.util) = 2.2.10.0 for package: nant
---> Package pango-devel.i586 0:1.23.0-3.fc11 set to be updated
--> Running transaction check
--> Processing Dependency: mono(nunit.core) = 2.2.10.0 for package: nant
--> Processing Dependency: mono(nunit.framework) = 2.2.10.0 for package: mono-sharpcvslib
--> Processing Dependency: mono(nunit.util) = 2.2.10.0 for package: nant
---> Package pixman-devel.i586 0:0.14.0-2.fc11 set to be updated
--> Finished Dependency Resolution
mono-sharpcvslib-0.35-9.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.framework) = 2.2.10.0 is needed by package mono-sharpcvslib-0.35-9.fc11.i586 (installed)
1:nant-0.85-26.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.core) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)
1:nant-0.85-26.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.util) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)
--> Running transaction check
---> Package kernel.i586 0:2.6.29-0.148.rc6.fc11 set to be erased
---> Package kernel-devel.i586 0:2.6.29-0.148.rc6.fc11 set to be erased
--> Processing Dependency: mono(nunit.core) = 2.2.10.0 for package: nant
--> Processing Dependency: mono(nunit.framework) = 2.2.10.0 for package: mono-sharpcvslib
--> Processing Dependency: mono(nunit.util) = 2.2.10.0 for package: nant
--> Finished Dependency Resolution
mono-sharpcvslib-0.35-9.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.framework) = 2.2.10.0 is needed by package mono-sharpcvslib-0.35-9.fc11.i586 (installed)
1:nant-0.85-26.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.core) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)
1:nant-0.85-26.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: mono(nunit.util) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)
Error: Missing Dependency: mono(nunit.core) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)
Error: Missing Dependency: mono(nunit.framework) = 2.2.10.0 is needed by package mono-sharpcvslib-0.35-9.fc11.i586 (installed)
Error: Missing Dependency: mono(nunit.util) = 2.2.10.0 is needed by package 1:nant-0.85-26.fc11.i586 (installed)

looking at mono(nunit.core), for example, we see it is provided by a locally installed package:

$ rpm -q --whatprovides 'mono(nunit.core)'
mono-nunit22-2.2.10-7.fc10.i386
mono-nunit-2.4-6.pre2.20091002svn126522.fc11.i386
ahecox@t61 ~ $ rpm -q --provides mono-nunit22-2.2.10-7.fc10.i386
mono(nunit-console) = 0.0.0.0
mono(nunit-console-runner) = 2.2.10.0
mono(nunit.core) = 2.2.10.0
mono(nunit.core.extensions) = 2.2.10.0
mono(nunit.framework) = 2.2.10.0
mono(nunit.mocks) = 2.2.10.0
mono(nunit.util) = 2.2.10.0
mono-nunit22 = 2.2.10-7.fc10
mono-nunit22(x86-32) = 2.2.10-7.fc10
ahecox@t61 ~ $ rpm -q --provides mono-nunit-2.4-6.pre2.20091002svn126522.fc11.i386
mono(nunit-console) = 2.4.8.0
mono(nunit-console-runner) = 2.4.8.0
mono(nunit.core) = 2.4.8.0
mono(nunit.core.extensions) = 2.4.8.0
mono(nunit.core.interfaces) = 2.4.8.0
mono(nunit.framework) = 2.4.8.0
mono(nunit.framework.extensions) = 2.4.8.0
mono(nunit.mocks) = 2.4.8.0
mono(nunit.util) = 2.4.8.0
mono-nunit = 2.4-6.pre2.20091002svn126522.fc11
mono-nunit(x86-32) = 2.4-6.pre2.20091002svn126522.fc11

I don't know if something is obsoleting mono-nunit22-2.2.10-7.fc10.i386 in the transaction: I updated nant outside of the full transaction and it updated fine.
Comment 1 Andrew Hecox 2009-03-03 12:27:01 EST
the package list from transactions was:

ConsoleKit.i586
ConsoleKit-libs.i586
ConsoleKit-x11.i586
DeviceKit.i586
DeviceKit-devel.i586
DeviceKit-disks.i586
DeviceKit-disks-devel.i586
DeviceKit-power.i586
DeviceKit-power-devel.i586
GConf2.i586
GConf2-gtk.i586
ImageMagick.i586
ImageMagick-perl.i586
ORBit2.i586
OpenEXR-libs.i586
PolicyKit-gnome.i586
PolicyKit-gnome-libs.i586
PyOpenGL.noarch
SDL.i586
WebKit-gtk.i586
a2ps.i586
aalib-libs.i586
abyssinica-fonts.noarch
acl.i586
acpid.i586
adjtimex.i586
adns.i586
alacarte.noarch
alchemist.i586
alpine.i586
alsa-lib.i586
alsa-plugins-pulseaudio.i586
alsa-utils.i586
anaconda-yum-plugins.noarch
anacron.i586
apr.i586
aspell.i586
aspell-en.i586
at-spi.i586
at-spi-python.i586
atk.i586
atmel-firmware.noarch
attr.i586
audiofile.i586
authconfig.i586
authconfig-gtk.i586
autoconf.noarch
autocorr-en.i586
automake.noarch
avahi.i586
avahi-autoipd.i586
avahi-compat-libdns_sd.i586
avahi-glib.i586
avahi-gobject.i586
avahi-sharp.i586
avahi-tools.i586
b43-fwcutter.i586
babl.i586
baekmuk-ttf-batang-fonts.noarch
baekmuk-ttf-dotum-fonts.noarch
baekmuk-ttf-fonts-common.noarch
baekmuk-ttf-fonts-ghostscript.noarch
baekmuk-ttf-gulim-fonts.noarch
baekmuk-ttf-hline-fonts.noarch
basesystem.noarch
bc.i586
bcm43xx-fwcutter.i586
bind.i586
bind-libs.i586
bind-utils.i586
binutils.i586
blktrace.i586
bluecurve-cursor-theme.noarch
bluecurve-icon-theme.noarch
bluez.i586
bluez-alsa.i586
bluez-cups.i586
bluez-gnome.i586
bluez-libs.i586
bonnie++.i586
bootchart.i586
booty.noarch
brasero-libs.i586
bridge-utils.i586
bsf.i586
bsh.i586
bzip2.i586
bzip2-libs.i586
ca-certificates.noarch
cadaver.i586
cairo.i586
ccid.i586
cdparanoia.i586
cdparanoia-libs.i586
cdrdao.i586
checkpolicy.i586
chkconfig.i586
cjkuni-fonts-common.noarch
cjkuni-uming-fonts.noarch
collectl.noarch
compiz.i586
compiz-fusion.i586
compiz-fusion-gnome.i586
compiz-gnome.i586
comps-extras.noarch
conserver-client.i586
control-center.i586
control-center-filesystem.i586
coolkey.i586
coreutils.i586
cpio.i586
cpp.i586
cracklib.i586
cracklib-dicts.i586
cracklib-python.i586
crda.i586
createrepo.noarch
crontabs.noarch
cryptsetup-luks.i586
cups.i586
cups-libs.i586
curl.i586
cvs.i586
cyrus-sasl.i586
cyrus-sasl-devel.i586
cyrus-sasl-lib.i586
cyrus-sasl-md5.i586
cyrus-sasl-plain.i586
dasher.i586
db4.i586
db4-utils.i586
dbus.i586
dbus-glib.i586
dbus-libs.i586
dbus-python.i586
dbus-x11.i586
dcraw.i586
dejavu-fonts-common.noarch
dejavu-fonts-compat.noarch
dejavu-fonts-lgc-compat.noarch
dejavu-lgc-sans-fonts.noarch
dejavu-lgc-sans-mono-fonts.noarch
dejavu-lgc-serif-fonts.noarch
dejavu-sans-fonts.noarch
dejavu-sans-mono-fonts.noarch
dejavu-serif-fonts.noarch
deltarpm.i586
desktop-backgrounds-basic.noarch
desktop-backgrounds-compat.noarch
desktop-file-utils.i586
device-mapper.i586
device-mapper-devel.i586
device-mapper-libs.i586
device-mapper-multipath.i586
dhclient.i586
dhcpv6-client.i586
dia.i586
diffutils.i586
dirmngr.i586
djvulibre-libs.i586
dmidecode.i586
dmraid.i586
dmraid-libs.i586
dnsmasq.i586
docbook-dtds.noarch
docbook-style-dsssl.noarch
docbook-style-xsl.noarch
docbook-utils.noarch
dos2unix.i586
dosfstools.i586
dump.i586
dvd+rw-tools.i586
echo-icon-theme.noarch
ed.i586
eel2.i586
eject.i586
elfinfo.i586
elfutils.i586
elfutils-libelf.i586
elfutils-libs.i586
elinks.i586
emacs-nxml-mode.noarch
empathy.i586
empathy-libs.i586
enchant.i586
enscript.i586
eog.i586
evince.i586
evince-djvu.i586
evince-dvi.i586
evolution.i586
evolution-data-server.i586
evolution-help.noarch
exempi.i586
expat.i586
farsight.i586
farsight2.i586
fbset.i586
fedora-bookmarks.noarch
fedora-gnome-theme.noarch
fedora-icon-theme.noarch
fedora-logos.noarch
fedora-release.noarch
fedora-screensaver-theme.noarch
fedorainfinity-gdm-theme.noarch
fedorainfinity-screensaver-theme.noarch
festival.i586
festival-lib.i586
festival-speechtools-libs.i586
festvox-slt-arctic-hts.noarch
fetchmail.i586
file.i586
file-libs.i586
file-roller.i586
filesystem.i586
findutils.i586
finger.i586
fipscheck.i586
firefox.i586
firstaidkit.noarch
firstboot.i586
flac.i586
fontconfig.i586
fontconfig-devel.i586
fontpackages-filesystem.noarch
foomatic.i586
fortune-mod.i586
fprintd.i586
fprintd-pam.i586
freeglut.i586
freetype.i586
freetype-devel.i586
ftp.i586
fuse.i586
fuse-libs.i586
gamin.i586
gamin-python.i586
gawk.i586
gcalctool.i586
gcc.i586
gcc-c++.i586
gconf-editor.i586
gd.i586
gdb.i586
gdbm.i586
gdm.i586
gdm-user-switch-applet.i586
gedit.i586
gegl.i586
gettext.i586
ggz-client-libs.i586
ghostscript.i586
ghostscript-fonts.noarch
giflib.i586
gimp.i586
gimp-help-browser.i586
gimp-libs.i586
glib2.i586
glib2-devel.i586
glibc.i686
glibc-common.i586
glibc-devel.i586
glibc-headers.i586
glibmm24.i586
gmime.i586
gmime-sharp.i586
gnokii.i586
gnome-applet-timer.i586
gnome-applets.i586
gnome-audio.noarch
gnome-backgrounds.noarch
gnome-bluetooth.i586
gnome-bluetooth-libs.i586
gnome-desktop.i586
gnome-doc-utils-stylesheets.noarch
gnome-games.i586
gnome-icon-theme.noarch
gnome-keyring.i586
gnome-keyring-pam.i586
gnome-mag.i586
gnome-media.i586
gnome-media-libs.i586
gnome-menus.i586
gnome-mime-data.noarch
gnome-mount.i586
gnome-netstatus.i586
gnome-packagekit.i586
gnome-panel.i586
gnome-panel-libs.i586
gnome-pilot.i586
gnome-power-manager.i586
gnome-python2.i586
gnome-python2-applet.i586
gnome-python2-bonobo.i586
gnome-python2-canvas.i586
gnome-python2-desktop.i586
gnome-python2-extras.i586
gnome-python2-gconf.i586
gnome-python2-gnome.i586
gnome-python2-gnomekeyring.i586
gnome-python2-gnomeprint.i586
gnome-python2-gnomevfs.i586
gnome-python2-gtkhtml2.i586
gnome-python2-libegg.i586
gnome-python2-libwnck.i586
gnome-settings-daemon.i586
gnome-sharp.i586
gnome-speech.i586
gnome-system-monitor.i586
gnome-terminal.i586
gnome-themes.noarch
gnome-user-docs.noarch
gnome-user-share.i586
gnome-utils.i586
gnome-vfs2.i586
gnome-vfs2-obexftp.i586
gnome-vfs2-smb.i586
gnuchess.i586
gnupg.i586
gnupg2.i586
gnuplot.i586
gnuplot-common.i586
gnutls.i586
gok.i586
gpgme.i586
graphviz.i586
grep.i586
groff.i586
groff-perl.i586
grubby.i586
gsm.i586
gssdp.i586
gstreamer.i586
gstreamer-plugins-base.i586
gstreamer-plugins-farsight.i586
gstreamer-plugins-flumpegdemux.i586
gstreamer-plugins-good.i586
gstreamer-python.i586
gstreamer-tools.i586
gthumb.i586
gtk-doc.noarch
gtk-nodoka-engine.i586
gtk-sharp2.i586
gtk-sharp2-devel.i586
gtk2.i586
gtk2-engines.i586
gtkglext-libs.i586
gtkhtml2.i586
gtkhtml3.i586
gtkmm24.i586
gtksourceview2.i586
gucharmap.i586
guile.i586
gupnp.i586
gupnp-av.i586
gupnp-igd.i586
gutenprint.i586
gutenprint-foomatic.i586
gvfs.i586
Dependency:
gvfs-archive.i586
gvfs-fuse.i586
gvfs-gphoto2.i586
gvfs-obexftp.i586
gvfs-smb.i586
gzip.i586
hal.i586
hal-cups-utils.i586
hal-info.noarch
hal-libs.i586
hdparm.i586
hesiod.i586
hicolor-icon-theme.noarch
hpijs.i586
hplip.i586
hplip-libs.i586
hsqldb.i586
html2ps.noarch
htmlview.noarch
httpd.i586
httpd-tools.i586
hunspell.i586
hunspell-en.noarch
hwdata.noarch
hyphen.i586
hyphen-en.i586
ifd-egate.i586
ilmbase.i586
info.i586
initscripts.i586
inotify-tools.i586
iotop.noarch
iproute.i586
iptables.i586
iptables-ipv6.i586
iptstate.i586
ipw2100-firmware.noarch
ipw2200-firmware.noarch
irda-utils.i586
isdn4k-utils.i586
iso-codes.noarch
isomd5sum.i586
iwl3945-firmware.noarch
jakarta-commons-lang.i586
jakarta-commons-logging.i586
jasper-libs.i586
java_cup.i586
jdom.i586
jomolhari-fonts.noarch
joystick.i586
jpackage-utils.noarch
jwhois.i586
kacst-fonts.noarch
kbd.i586
kernel.i586
kernel-debuginfo.i586
Dependency:
kernel-debuginfo-common.i686
kernel-devel.i586
kernel-firmware.noarch
kernel-headers.i586
kerneloops.i586
keyutils-libs.i586
kpartx.i586
krb5-auth-dialog.i586
krb5-libs.i586
krb5-workstation.i586
kudzu.i586
latencytop.i586
lcms.i586
lcms-libs.i586
less.i586
lftp.i586
libICE.i586
libIDL.i586
libSM.i586
libX11.i586
libX11-devel.i586
libXScrnSaver.i586
libXau.i586
libXau-devel.i586
libXaw.i586
libXcomposite.i586
libXcursor.i586
libXdamage.i586
libXdamage-devel.i586
libXdmcp.i586
libXdmcp-devel.i586
libXevie.i586
libXext.i586
libXext-devel.i586
libXfixes.i586
libXfixes-devel.i586
libXfont.i586
libXft.i586
libXft-devel.i586
libXinerama.i586
libXmu.i586
libXpm.i586
libXrandr.i586
libXrender.i586
libXrender-devel.i586
libXres.i586
libXt.i586
libXtst.i586
libXv.i586
libXvMC.i586
libXxf86dga.i586
libXxf86misc.i586
libXxf86vm.i586
libXxf86vm-devel.i586
libacl.i586
libaio.i586
libao.i586
libarchive.i586
libart_lgpl.i586
libasyncns.i586
libattr.i586
libavc1394.i586
libbdevid-python.i586
libbeagle.i586
libbonobo.i586
libbonoboui.i586
libbtctl.i586
libcdio.i586
libconfig.i586
libcroco.i586
libcurl.i586
libdaemon.i586
libdiscid.i586
libdmx.i586
libedit.i586
liberation-fonts-common.noarch
liberation-fonts-compat.noarch
liberation-mono-fonts.noarch
liberation-sans-fonts.noarch
liberation-serif-fonts.noarch
libertas-usb8388-firmware.noarch
libevent.i586
libexif.i586
libfontenc.i586
libfprint.i586
libgail-gnome.i586
libgcc.i586
libgcj.i586
libgcrypt.i586
libgdiplus.i586
libgdiplus-devel.i586
libggz.i586
libglade2.i586
libglademm24.i586
libgnome.i586
libgnomecanvas.i586
libgnomecups.i586
libgnomekbd.i586
libgnomeprint22.i586
libgnomeprintui22.i586
libgnomeui.i586
libgomp.i586
libgpg-error.i586
libgpod.i586
libgsf.i586
libgssglue.i586
libgtop2.i586
libgweather.i586
libical.i586
libicu.i586
libid3tag.i586
libidn.i586
libiec61883.i586
libieee1284.i586
libiptcdata.i586
libjingle.i586
libjpeg.i586
libksba.i586
libmng.i586
libmodplug.i586
libmpcdec.i586
libmtp.i586
libmusicbrainz.i586
libnetfilter_conntrack.i586
libnfnetlink.i586
libnice.i586
libnl.i586
libnotify.i586
libogg.i586
liboil.i586
libopenraw.i586
libopenraw-gnome.i586
libpaper.i586
libpcap.i586
libpciaccess.i586
libproxy.i586
libproxy-bin.i586
libproxy-mozjs.i586
libproxy-python.i586
libpurple.i586
libraw1394.i586
librsvg2.i586
libsamplerate.i586
libselinux.i586
libselinux-python.i586
libselinux-utils.i586
libsemanage.i586
libsemanage-python.i586
libsepol.i586
libsexy.i586
libshout.i586
libsigc++20.i586
libsilc.i586
libsoup.i586
libspectre.i586
libspiro.i586
libssh2.i586
libstdc++.i586
libstdc++-devel.i586
libsysfs.i586
libtasn1.i586
libtelepathy.i586
libtextcat.i586
libthai.i586
libtiff.i586
libtirpc.i586
libtool.i586
libtool-ltdl.i586
libudev0.i586
libusb.i586
libusb1.i586
libuser.i586
libuser-python.i586
libutempter.i586
libv4l.i586
libvirt.i586
libvirt-python.i586
libvisual.i586
libvolume_id.i586
libvorbis.i586
libwiimote.i586
libwmf.i586
libwmf-lite.i586
libwpd.i586
libwvstreams.i586
libx86.i586
libxkbfile.i586
libxklavier.i586
libxml2.i586
libxml2-python.i586
libxslt.i586
libxslt-python.i586
linux-atm-libs.i586
linuxwacom.i586
lm_sensors.i586
lockdev.i586
log4net.i586
logrotate.i586
logwatch.noarch
lohit-bengali-fonts.noarch
lohit-fonts-common.noarch
lohit-gujarati-fonts.noarch
lohit-hindi-fonts.noarch
lohit-kannada-fonts.noarch
lohit-malayalam-fonts.noarch
lohit-oriya-fonts.noarch
lohit-punjabi-fonts.noarch
lohit-tamil-fonts.noarch
lohit-telugu-fonts.noarch
loudmouth.i586
lpsolve.i586
lrzsz.i586
lsof.i586
ltrace.i586
lua.i586
lucene.i586
lvm2.i586
lzma.i586
lzma-libs.i586
m4.i586
mailcap.noarch
mailx.i586
make.i586
makebootfat.i586
man.i586
man-pages.noarch
mdadm.i586
metacity.i586
midori.i586
mingetty.i586
minicom.i586
mkinitrd.i586
mlocate.i586
mod_dnssd.i586
mono-addins.i586
mono-core.i586
mono-data.i586
mono-data-sqlite.i586
mono-extras.i586
mono-nunit.i586
mono-nunit22.i586
Dependency:
Dependency:
Dependency:
mono-web.i586
mono-winforms.i586
mono-zeroconf.i586
monodoc.i586
mousetweaks.i586
mozilla-filesystem.i586
mozplugger.i586
mpage.i586
mpfr.i586
mtools.i586
mtr.i586
mutt.i586
mx.i586
mysql-libs.i586
nano.i586
nash.i586
nautilus.i586
nautilus-cd-burner.i586
Dependency:
nautilus-extensions.i586
nautilus-open-terminal.i586
nautilus-sendto.i586
nc.i586
ncurses.i586
ncurses-base.i586
ncurses-libs.i586
neon.i586
net-snmp.i586
net-snmp-libs.i586
net-tools.i586
netpbm.i586
netpbm-progs.i586
newt.i586
newt-python.i586
nfs-utils.i586
nfs-utils-lib.i586
Dependency:
nodoka-filesystem.noarch
nodoka-metacity-theme.noarch
nodoka-theme-gnome.noarch
notification-daemon.i586
notification-daemon-engine-nodoka.i586
notify-python.i586
nscd.i586
nspluginwrapper.i586
nspr.i586
nss.i586
nss-tools.i586
nss_compat_ossl.i586
nss_db.i586
nss_ldap.i586
ntfs-3g.i586
ntfsprogs.i586
ntop.i586
ntp.i586
ntp-perl.i586
ntpdate.i586
ntsysv.i586
numactl.i586
obex-data-server.i586
openjade.i586
openobex.i586
openoffice.org-brand.i586
openoffice.org-calc.i586
openoffice.org-calc-core.i586
openoffice.org-core.i586
openoffice.org-draw.i586
openoffice.org-draw-core.i586
openoffice.org-graphicfilter.i586
openoffice.org-impress.i586
openoffice.org-impress-core.i586
openoffice.org-math.i586
openoffice.org-math-core.i586
openoffice.org-opensymbol-fonts.i586
openoffice.org-pdfimport.i586
openoffice.org-presenter-screen.i586
openoffice.org-ure.i586
openoffice.org-writer.i586
openoffice.org-writer-core.i586
openoffice.org-xsltfilter.i586
opensp.i586
openssh.i586
openssh-askpass.i586
openssh-clients.i586
openssh-server.i586
openssl.i686
orca.i586
pakchois.i586
paktype-fonts.noarch
pam.i586
pam-devel.i586
pam_ccreds.i586
pam_krb5.i586
pam_passwdqc.i586
pam_pkcs11.i586
pam_smb.i586
pango.i586
pangomm.i586
paps.i586
paps-libs.i586
passwd.i586
patch.i586
pax.i586
pciutils.i586
pciutils-libs.i586
pcre.i586
pcsc-lite.i586
pcsc-lite-libs.i586
perl-Convert-ASN1.noarch
perl-Date-Manip.noarch
perl-Error.noarch
perl-HTML-Parser.i586
perl-HTML-Tagset.noarch
perl-SGMLSpm.noarch
perl-String-CRC32.i586
perl-URI.noarch
perl-XML-Parser.i586
perl-libwww-perl.noarch
phonon.i586
phonon-backend-xine.i586
pidgin.i586
pilot-link.i586
pinentry.i586
pinfo.i586
pixman.i586
pkgconfig.i586
planner.i586
plt-scheme.i586
pm-utils.i586
podsleuth.i586
policycoreutils.i586
policycoreutils-gui.i586
policycoreutils-python.i586
poppler.i586
poppler-glib.i586
poppler-utils.i586
portreserve.i586
postgresql-libs.i586
powertop.i586
ppl.i586
ppp.i586
procmail.i586
psacct.i586
psmisc.i586
psutils.i586
pth.i586
pycairo.i586
pygpgme.i586
pygtkglext.i586
pygtksourceview.i586
pykickstart.noarch
pylint.noarch
pyorbit.i586
pyparted.i586
python.i586
python-CDDB.i586
python-adns.i586
python-bugzilla.noarch
python-crypto.i586
python-genshi.i586
python-gpod.i586
python-html2text.noarch
python-imaging.i586
python-iniparse.noarch
python-libs.i586
python-logilab-astng.noarch
python-logilab-common.noarch
python-mutagen.noarch
python-numeric.i586
python-paste.noarch
python-pyblock.i586
python-setuptools.noarch
python-sexy.i586
python-slip.noarch
python-slip-dbus.noarch
python-slip-gtk.noarch
python-sqlite2.i586
python-urlgrabber.noarch
python-virtinst.noarch
pyxdg.noarch
pyxf86config.i586
qemu-img.i586
Dependency:
ql2100-firmware.noarch
ql2200-firmware.noarch
ql23xx-firmware.noarch
ql2400-firmware.noarch
qt.i586
qt-x11.i586
qt3.i586
quota.i586
radeontool.i586
raptor.i586
rarian.i586
rarian-compat.i586
rasqal.i586
rdate.i586
rdist.i586
readahead.i586
readline.i586
recode.i586
redhat-rpm-config.noarch
redland.i586
rhino.noarch
rhpl.i586
rhpxl.i586
rhythmbox.i586
rmt.i586
rng-utils.i586
rootfiles.noarch
rp-pppoe.i586
rpcbind.i586
rpm.i586
rpm-build.i586
rpm-libs.i586
rpm-python.i586
rrdtool.i586
rsh.i586
rsh-server.i586
rsync.i586
rsyslog.i586
rt61pci-firmware.noarch
rt73usb-firmware.noarch
sane-backends.i586
sane-backends-libs.i586
saxon.noarch
sed.i586
selinux-policy.noarch
selinux-policy-targeted.noarch
sendmail.i586
setools-console.i586
setools-libs.i586
setroubleshoot.i586
setroubleshoot-plugins.noarch
setroubleshoot-server.i586
setserial.i586
setuptool.i586
sg3_utils-libs.i586
sgml-common.noarch
shadow-utils.i586
shared-mime-info.i586
sinjdoc.i586
slang.i586
slrn.i586
smartmontools.i586
smolt.noarch
smolt-firstboot.noarch
solar-backgrounds.noarch
sos.noarch
sound-juicer.i586
sound-theme-freedesktop.noarch
sox.i586
specspo.noarch
speex.i586
splint.i586
sqlite.i586
squashfs-tools.i586
startup-notification.i586
strace.i586
stunnel.i586
subversion.i586
symlinks.i586
sysfsutils.i586
syslinux.i586
sysstat.i586
system-config-boot.i586
system-config-date.noarch
system-config-date-docs.noarch
system-config-display.noarch
system-config-firewall.noarch
system-config-firewall-tui.noarch
system-config-httpd.noarch
system-config-kdump.noarch
system-config-keyboard.noarch
system-config-language.noarch
system-config-lvm.noarch
system-config-netboot.noarch
system-config-netboot-cmd.noarch
system-config-network.noarch
system-config-network-tui.noarch
system-config-nfs.noarch
system-config-printer.i586
system-config-printer-libs.i586
system-config-rootpassword.noarch
system-config-samba.noarch
system-config-samba-docs.noarch
system-config-services.noarch
system-config-services-docs.noarch
system-config-users.noarch
system-config-users-docs.noarch
systemtap.i586
systemtap-runtime.i586
sysvinit-tools.i586
taglib.i586
talk.i586
tar.i586
tcl.i586
tcl-devel.i586
tcp_wrappers.i586
tcp_wrappers-libs.i586
tcpdump.i586
telepathy-farsight.i586
telepathy-filesystem.noarch
telepathy-gabble.i586
telepathy-glib.i586
telepathy-haze.i586
telepathy-mission-control.i586
telepathy-salut.i586
telepathy-stream-engine.i586
telnet.i586
tex-preview.noarch
texinfo.i586
texinfo-tex.i586
texlive-texmf.noarch
texlive-texmf-dvips.noarch
texlive-texmf-errata.noarch
texlive-texmf-errata-dvips.noarch
texlive-texmf-errata-fonts.noarch
texlive-texmf-errata-latex.noarch
texlive-texmf-fonts.noarch
texlive-texmf-latex.noarch
tftp-server.i586
thai-scalable-fonts-common.noarch
thai-scalable-fonts-compat.noarch
thai-scalable-garuda-fonts.noarch
thai-scalable-kinnari-fonts.noarch
thai-scalable-loma-fonts.noarch
thai-scalable-norasi-fonts.noarch
thai-scalable-purisa-fonts.noarch
thai-scalable-sawasdee-fonts.noarch
thai-scalable-tlwgmono-fonts.noarch
thai-scalable-tlwgtypewriter-fonts.noarch
thai-scalable-tlwgtypist-fonts.noarch
thai-scalable-tlwgtypo-fonts.noarch
thai-scalable-umpush-fonts.noarch
thai-scalable-waree-fonts.noarch
time.i586
tk.i586
tk-devel.i586
tmpwatch.i586
tokyocabinet.i586
totem-pl-parser.i586
traceroute.i586
transmission.i586
tree.i586
typespeed.i586
tzdata.noarch
tzdata-java.noarch
udev.i586
udev-extras.i586
unifdef.i586
unique.i586
units.i586
unix2dos.i586
unzip.i586
upstart.i386
urlview.i586
urw-fonts.noarch
usbutils.i586
usermode.i586
usermode-gtk.i586
ustr.i586
util-linux-ng.i586
vbetool.i586
vconfig.i586
vino.i586
virt-manager.i586
vlgothic-fonts.noarch
vlgothic-fonts-common.noarch
vorbis-tools.i586
vorbisgain.i586
vpnc.i586
vte.i586
wavpack.i586
wget.i586
which.i586
wireless-tools.i586
words.noarch
wxBase.i586
wxGTK.i586
xalan-j2.i586
xarchiver.i586
xdg-user-dirs.i586
xdg-user-dirs-gtk.i586
xdg-utils.noarch
xen-libs.i586
xerces-c.i586
xerces-j2.i586
xine-lib.i586
xinetd.i586
xkeyboard-config.noarch
xml-common.noarch
xml-commons-apis.i586
xml-commons-resolver.i586
xorg-x11-apps.i586
xorg-x11-drv-apm.i586
xorg-x11-drv-ast.i586
xorg-x11-drv-ati.i586
xorg-x11-drv-cirrus.i586
xorg-x11-drv-dummy.i586
xorg-x11-drv-elographics.i586
xorg-x11-drv-evdev.i586
xorg-x11-drv-fbdev.i586
xorg-x11-drv-fpit.i586
xorg-x11-drv-geode.i586
xorg-x11-drv-glint.i586
xorg-x11-drv-i128.i586
xorg-x11-drv-i740.i586
xorg-x11-drv-intel.i586
xorg-x11-drv-keyboard.i586
xorg-x11-drv-mach64.i586
xorg-x11-drv-mouse.i586
xorg-x11-drv-mutouch.i586
xorg-x11-drv-neomagic.i586
xorg-x11-drv-nouveau.i586
xorg-x11-drv-nv.i586
xorg-x11-drv-openchrome.i586
xorg-x11-drv-penmount.i586
xorg-x11-drv-r128.i586
xorg-x11-drv-rendition.i586
xorg-x11-drv-s3virge.i586
xorg-x11-drv-savage.i586
xorg-x11-drv-sis.i586
xorg-x11-drv-sisusb.i586
xorg-x11-drv-tdfx.i586
xorg-x11-drv-trident.i586
xorg-x11-drv-v4l.i586
xorg-x11-drv-vesa.i586
xorg-x11-drv-vmmouse.i586
xorg-x11-drv-vmware.i586
xorg-x11-drv-voodoo.i586
xorg-x11-filesystem.noarch
xorg-x11-font-utils.i586
xorg-x11-proto-devel.noarch
xorg-x11-server-Xorg.i586
xorg-x11-server-common.i586
xorg-x11-server-utils.i586
xorg-x11-twm.i586
xorg-x11-utils.i586
xorg-x11-xauth.i586
xorg-x11-xkb-utils.i586
xrestop.i586
xsane.i586
xsane-gimp.i586
xterm.i586
xulrunner.i586
yelp.i586
yp-tools.i586
yum.noarch
yum-metadata-parser.i586
yum-utils.noarch
zd1211-firmware.noarch
zip.i586
zlib.i586
zlib-devel.i586
Comment 2 Bug Zapper 2009-06-09 07:49:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rogers W. Claggett 2009-09-04 21:10:03 EDT
Encountered the same problem on IBM Lenova T61, F11.  Updating openoffice.org-ure broke Open Office.  Work-around - remove Open Office and re-install.  I've been avoiding the openoffice.org-ure update in yum:

================================================================================
 Package                 Arch      Version                   Repository    Size
================================================================================
Updating:
 openoffice.org-ure      i586      1:3.1.1-19.2.fc11         updates      3.1 M

Will this be fixed?  Will the fix be made known?  Trying agin is painful.
Comment 4 Rogers W. Claggett 2009-10-13 08:02:57 EDT
The problem seems to be that yum update openoffice.org-ure* puts libuno_sal.so.3 in the wrong place.

Before yum update openoffice.org-ure*:

  /opt/openoffice.org/ure/lib/libuno_sal.so.3

After yum update openoffice.org-ure*:

  /usr/lib/openoffice.org/ure/lib/libuno_sal.so.3

I've reported this to OpenOffice.  Please fix!

The work-around:

Uninstall OpenOffice (rpm -e), re-install, don't yum update
openoffice.org-ure.

cd .../Download/OOO310_m19_native_packed-1_en-US.9420/RPMS

rpm -e `rpm -qa | grep openoffice | grep -v openoffice.org-ure`
rpm -e `rpm -qa | grep ooobasis3`
rpm -e jre-1.6.0_16-fcs.i586
rpm -e openoffice.org-ure-3.1.1-19.2.fc11.i586

rpm -Uvih *rpm
cd desktop-integration/
rpm -Uvih openoffice.org3.1-redhat-menus-3.1-9420.noarch.rpm

Now "libuno_sal.so.3" is in the right place:
Comment 5 Bug Zapper 2009-11-16 04:50:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Caolan McNamara 2009-12-07 04:05:41 EST
Different rpms from different repositories which happen to have the same name. There's no fix except for upstream to raise the Epoch of their ure rpm above ours which then would allow us to rename our package and have to obsolete the ure package of an Epoch below that of the new upstream Epoch.

Workaround is to edit the yum.conf and use "exclude" to exclude the Fedora OpenOffice.org packages from consideration if you instead want to use the Vanilla rpms.
Comment 7 David Tardon 2010-07-26 00:44:48 EDT
*** Bug 618052 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.